> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all chain statuses

> Commonly used to build internal status dashboards of all supported chains.

<CardGroup cols={2}>
  <Card title="Credit Cost"> 1 per call</Card>
  <Card title="Processing"> Realtime</Card>
</CardGroup>

<Tip>
  Estimate your monthly cost for this API using the [Pricing Calculator](/pricing-calculator?endpoint=%2Fapi-reference%2Ffoundational-api%2Futility%2Fget-all-chain-statuses).
</Tip>


## OpenAPI

````yaml GET /v1/chains/status/
openapi: 3.1.0
info:
  title: GoldRush Multichain Data APIs
  version: 1.0.0
  description: Covalent's GoldRush Multichain Data APIs OpenAPI Schema.
servers:
  - url: https://api.covalenthq.com
security:
  - bearerAuth: []
paths:
  /v1/chains/status/:
    get:
      tags:
        - get-all-chain-statuses
      description: >-
        Commonly used to build internal status dashboards of all supported
        chains.
      operationId: getAllChainStatus
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  updated_at:
                    type: string
                    format: date-time
                    description: >-
                      The timestamp when the response was generated. Useful to
                      show data staleness to users.
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: 'The chain name eg: `eth-mainnet`.'
                        chain_id:
                          type: string
                          description: 'The requested chain ID eg: `1`.'
                        is_testnet:
                          type: boolean
                          description: True if the chain is a testnet.
                        logo_url:
                          type: string
                          description: A png logo url for the chain.
                        black_logo_url:
                          type: string
                          description: A black png logo url for the chain.
                        white_logo_url:
                          type: string
                          description: A white png logo url for the chain.
                        is_appchain:
                          type: boolean
                          description: True if the chain is an AppChain.
                        chain_tip_height:
                          type: integer
                          description: The height of the lastest block available.
                        chain_tip_signed_at:
                          type: string
                          format: date-time
                          description: The signed timestamp of lastest block available.
                        has_data:
                          type: boolean
                          description: True if the chain has data and ready for querying.
                    description: List of response items.
      x-codeSamples:
        - lang: TypeScript
          label: GoldRush SDK
          source: |-
            import { GoldRushClient } from "@covalenthq/client-sdk";

            const ApiServices = async () => {
                const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
                const resp = await client.BaseService.getAllChainStatus({chainName: "chainName", walletAddress: "walletAddress"});
                console.log(resp.data);
            };

            ApiServices();
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form: `Bearer <token>`, where
        `<token>` is your GoldRush API Key.

````